//------------------------------------------------------------------------------------
// irr::scene::IAnimatedMeshMS3D wrappers (parent is IAnimatedMesh)
//------------------------------------------------------------------------------------

extern "C" s32 IrrScene_IAnimatedMeshMS3D_getJointCount(IAnimatedMeshMS3D* am)
{
	if (am)
		return am->getJointCount();
	else return 0;
}

extern "C" const c8* IrrScene_IAnimatedMeshMS3D_getJointName(IAnimatedMeshMS3D* am,s32 number)
{
	if (am)
		return am->getJointName(number);
	else return "";
}

extern "C" s32 IrrScene_IAnimatedMeshMS3D_getJointNumber(IAnimatedMeshMS3D* am,const c8* name)
{
	if (am)
		return am->getJointNumber(name);
	else return 0;
}

extern "C" matrix4* IrrScene_IAnimatedMeshMS3D_getMatrixOfJoint(IAnimatedMeshMS3D* am,s32 jointNumber,s32 frame)
{
	if (am)
		return am->getMatrixOfJoint(jointNumber,frame);
	else return 0;
}


